Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns the transaction limit for a given card.
cURL
curl --request GET \ --url 'https://api.equalsmoney.com/v2/cards/{cardId}/transaction-limits?accountId={{accountId}}&budgetId={{budgetId}}' \ --header 'Authorization: <api-key>'
import requests url = "https://api.equalsmoney.com/v2/cards/{cardId}/transaction-limits" headers = {"Authorization": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}}; fetch('https://api.equalsmoney.com/v2/cards/{cardId}/transaction-limits', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.equalsmoney.com/v2/cards/{cardId}/transaction-limits", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.equalsmoney.com/v2/cards/{cardId}/transaction-limits" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.equalsmoney.com/v2/cards/{cardId}/transaction-limits") .header("Authorization", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.equalsmoney.com/v2/cards/{cardId}/transaction-limits") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '<api-key>' response = http.request(request) puts response.read_body
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "amount": 100.5, "currencyCode": "GBP", "active": true, "limitTurnedOff": true, "limitWindow": "TRANSACTION" }
The ID of the card to work with.
36
"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"
The ID of the account to work with.
"F50091"
The ID of the budget to work with.
"775596ae-2624-40af-a9dc-9756110a4a03"
The ID of the person to work with.
"775596ae-2624-40af-a9dc-9756110a4a04"
OK
amount of limit to be set
x >= 0
100.5
Defines the time period to which the limit apply
TRANSACTION
The ID of the limit to work with.
"GBP"
Indicates whether the limit is active on Marqeta.
Defines if the limit was turned off by the user
Was this page helpful?